using System.Configuration;
using System.Data.SqlClient;
using Modular.Flair.WebPackage.Models;
using Modular.Flair.WebPackage.Services;
using Spark.Modules;

namespace Modular.Flair.WebPackage.Blocks
{
    public class DidYouKnowLegacyBlock : BlockBase
    {
        private readonly string connectionString;

        public DidYouKnowLegacyBlock()
        {
            connectionString = ConfigurationManager.ConnectionStrings["TriviaDb"].ToString();
        }

        public override void RenderBlock()
        {
            using (var connection = new SqlConnection(connectionString))
            using (var command = new SqlCommand("Select Top 1 * from Trivia", connection))
            {
                var reader = command.ExecuteReader();


                var trivia = new Trivia();
                if (reader != null)
                {
                    trivia.Details = reader["Details"].ToString();
                    trivia.Id = (int)reader["Id"];
                    trivia.Teaser = reader["Teaser"].ToString(); 
                }

                Html.RenderPartial(@"Flair\DidYouKnow\Block", trivia);

            }
        }
    }
}