using System;
using System.Linq;
using Modular.Flair.WebPackage.Blocks;
using NUnit.Framework;
using Rhino.Mocks;
using Spark.Modules;
using R = Rhino.Mocks.Constraints; 

namespace Modules.RhinoMocks.Tests.FlairTests.BlockTests
{
    [TestFixture]
    public class DateTestExample : BlockTestBase
    {
        private ShowBirthdayBlock block;

        [SetUp]
        public override void Setup()
        {
            base.Setup();
            kernel.AddComponent<ShowBirthdayBlock>();
            block = kernel.Resolve<ShowBirthdayBlock>();
        }

        [Test]
        public void The_blocks_message_should_say_happy_birthday_if_it_is_sept_10()
        {
            // Arrange 
            SystemTime.Now = () => new DateTime(2009, 9, 10);

            // Act 
            block.RenderBlock();

            // Assert 
            var secondArgument = mockHtmlHelper.GetArgumentsForCallsMadeOn(x => x.RenderPartial(Arg<string>.Is.Anything, Arg<object>.Is.Anything)).First()[1]; 
            Assert.AreEqual("Happy Birthday Buddy!", secondArgument);
        }
    }
}