using System.Web.Mvc;
using Modular.Flair.WebPackage.Controllers;
using Modular.Flair.WebPackage.Models;
using Modular.Flair.WebPackage.Services;
using NUnit.Framework;
using NUnit.Framework.SyntaxHelpers;
using Rhino.Mocks;

namespace Modules.RhinoMocks.Tests.FlairTests.ControllerTests
{
    [TestFixture]
    public class DidYouKnowControllerTests
    {
        private ITriviaProvider mockProvider; 
        private DidYouKnowController controller;

        [SetUp]
        public void Setup()
        {
            mockProvider = MockRepository.GenerateMock<ITriviaProvider>();
            controller = new DidYouKnowController(mockProvider);
        }

        [Test]
        public void The_more_action_should_take_an_int_id_and_return_an_action_result()
        {
            // Arrange 
            mockProvider.Expect(x => x.GetTrivia(199)).IgnoreArguments().Return(new Trivia {Details = "Foo"}); 

            // Act
            var actionResult = controller.More(5); 
            
            // Assert
            Assert.That(actionResult, Is.InstanceOfType(typeof(ViewResultBase)));
            var model = ((ViewResultBase) actionResult).ViewData.Model;
            Assert.That(((Trivia)model).Details, Is.EqualTo("Foo"));

        }
    }
}